# =========================================================================== #
# Gemspec for Project Wetter.
# =========================================================================== #
Gem::Specification.new { |s|

  s.name     = 'wetter'
  s.version  = '0.0.17'
  s.date     = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

    This project is called wetter, which is german for "weather".

    Currently it can only show the weather in Austria, Vienna,
    but if other people wish to also show the temperature for
    other cities, let me know.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.
  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION

  # ========================================================================= #
  # Show this message when a user installs this project.
  # ========================================================================= #
  s.post_install_message = <<-EOF

    Usage instruction go in here.

    Thank you and have fun.

  EOF
  
  s.extra_rdoc_files = %w()
  
  s.authors    = ['Robert A. Heiler']
  s.email      = 'shevegen@gmail.com'
  s.files      = Dir['**/*']
  # s.files     << 'README.md'
  # s.files     << 'USAGE.md'
  s.license    = 'GPL-2.0'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

  # ========================================================================= #
  # External dependencies for the project:
  # ========================================================================= #
  s.add_dependency 'colours'
  s.add_dependency 'opn'

}